| The Red Matrix

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Pages
Public Member Functions | List of all members
dba_mysqli Class Reference
Inheritance diagram for dba_mysqli:

## Public Member Functions
| connect ($server, $port, $user, $pass, $db)
| q ($sql)
| escape ($str)
| close ()
Public Member Functions inherited from dba_driver
| connect ($server, $port, $user, $pass, $db)
| q ($sql)
| escape ($str)
| close ()
| __construct ($server, $port, $user, $pass, $db, $install=false)
| install ($server, $user, $pass, $db)
| dbg ($dbg)
| __destruct ()

## Additional Inherited Members
Public Attributes inherited from dba_driver
| $connected = false
| $error = false
Protected Attributes inherited from dba_driver
| $debug = 0
| $db

## Member Function Documentation

dba_mysqli::close | ( |  | ) |

dba_mysqli::connect | ( |  | $server,
|  |  | $port,
|  |  | $user,
|  |  | $pass,
|  |  | $db
| ) |  |

dba_mysqli::escape | ( |  | $str | ) |

dba_mysqli::q | ( |  | $sql | ) |

The documentation for this class was generated from the following file:

- include/dba/dba_mysqli.php